Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.ext.awt.geom
Class AbstractSegment

    java.lang.Object
      org.apache.batik.ext.awt.geom.AbstractSegment

All Implemented Interfaces:
  Cloneable, Segment

Direct Known Subclasses:
  Cubic, Quadradic

    public abstract class AbstractSegment

extends Object
implements Segment

An abstract class for path segments.

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.batik.ext.awt.geom.Segment
`Segment.SplitResults`

Constructor Summary
`AbstractSegment()`

Method Summary
`protected abstract int` | `findRoots(double y, double[] roots)`
`static double` | `matchSign(double a, double b)`
`static int` | `solveCubic(double a3, double a2, double a1, double a0, double[] roots)`
`static int` | `solveLine(double a, double b, double[] roots)`
`static int` | `solveQuad(double a, double b, double c, double[] roots)`
`Segment.SplitResults` | `split(double y)`
`Segment` | `splitAfter(double t)`
`Segment` | `splitBefore(double t)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.batik.ext.awt.geom.Segment
`eval, evalDt, getBounds2D, getLength, getLength, getSegment, maxX, maxY, minX, minY, subdivide, subdivide`

Constructor Detail

### AbstractSegment

    public AbstractSegment()

Method Detail

### findRoots

    protected abstract int findRoots(double y,
                                     double[] roots)

### split

    public Segment.SplitResults split(double y)

  Specified by:
    `split` in interface `Segment`

### splitBefore

    public Segment splitBefore(double t)

  Specified by:
    `splitBefore` in interface `Segment`

### splitAfter

    public Segment splitAfter(double t)

  Specified by:
    `splitAfter` in interface `Segment`

### solveLine

    public static int solveLine(double a,
                                double b,
                                double[] roots)

### solveQuad

    public static int solveQuad(double a,
                                double b,
                                double c,
                                double[] roots)

### matchSign

    public static double matchSign(double a,
                                   double b)

### solveCubic

    public static int solveCubic(double a3,
                                 double a2,
                                 double a1,
                                 double a0,
                                 double[] roots)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.